### Hierarchy

- StateQueueManager

### Implements

- Disposable

## Index

### Constructors

- constructor

### Properties

- $registry
- $urlRouter
- builder
- listeners
- matcher
- queue
- states

### Methods

- attachRoute
- dispose
- flush
- register

## Constructors

- new StateQueueManager($registry: StateRegistry, $urlRouter: UrlRouter, states: object, builder: StateBuilder, listeners: StateRegistryListener[]): StateQueueManager

- #### Parameters

  - ##### $registry StateRegistry

  - ##### $urlRouter UrlRouter

  - ##### states object

    - ##### [key: string]: StateObject

  - ##### builder StateBuilder

  - ##### listeners StateRegistryListener[]

  #### Returns StateQueueManager

  - Defined in state/stateQueueManager.ts:16

## Properties

$registry: StateRegistry

- Defined in state/stateQueueManager.ts:19

$urlRouter: UrlRouter

- Defined in state/stateQueueManager.ts:20

builder: StateBuilder

- Defined in state/stateQueueManager.ts:22

listeners: StateRegistryListener[]

- Defined in state/stateQueueManager.ts:23

matcher: StateMatcher

- Defined in state/stateQueueManager.ts:16

queue: StateObject[]

- Defined in state/stateQueueManager.ts:15

states: object

#### Type declaration

- ##### [key: string]: StateObject

- Defined in state/stateQueueManager.ts:21

## Methods

- attachRoute(state: StateObject): void

- #### Parameters

  - ##### state StateObject

  #### Returns void

  - Defined in state/stateQueueManager.ts:102

- dispose(): void

- #### Returns void

  - Defined in state/stateQueueManager.ts:29

- flush(): object

- #### Returns object

  - ##### [key: string]: StateObject

  - Defined in state/stateQueueManager.ts:48

- register(stateDecl: _StateDeclaration): StateObject

- #### Parameters

  - ##### stateDecl _StateDeclaration

  #### Returns StateObject

  - Defined in state/stateQueueManager.ts:33

Generated using TypeDoc